using System.Threading.Channels;

namespace PlanTempus.Core.Telemetry;

public class NotificationChannel : IMessageChannel<string>
{
	private readonly Channel<string> _channel = Channel.CreateUnbounded<string>();

	public ChannelWriter<string> Writer => _channel.Writer;
	public ChannelReader<string> Reader => _channel.Reader;

	public void Dispose() => _channel.Writer.Complete();
}
